Package org.codehaus.janino.util.signature

# Class SignatureParser.PrimitiveTypeSignature

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.PrimitiveTypeSignature

All Implemented Interfaces:
  `SignatureParser.TypeSignature`

Enclosing class:
  `SignatureParser`

public static class SignatureParser.PrimitiveTypeSignature extends Object implements SignatureParser.TypeSignature
Representation of the "PrimitiveTypeSignature" clause, i.e. '`byte`', '`int`', etc., but not '`void`'.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`typeName`
The name of the primitive type, e.g.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### typeName

public final String typeName
The name of the primitive type, e.g. '`int`'.

## Method Details

### toString

public String toString()

Specified by:
  `toString` in interface `SignatureParser.TypeSignature`
Overrides:
  `toString` in class `Object`